Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage Class Reference

Storage for the MapLocation field type. More...

Inheritance diagram for eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage:

## Public Member Functions
| storeFieldData (VersionInfo $versionInfo, Field $field, array $context)
| getFieldData (VersionInfo $versionInfo, Field $field, array $context)
| Populates $field value property based on the external data. More...
| deleteFieldData (VersionInfo $versionInfo, array $fieldIds, array $context)
| hasFieldData ()
| Checks if field type has external data to deal with. More...
| getIndexData (VersionInfo $versionInfo, Field $field, array $context)
Public Member Functions inherited from eZ\Publish\SPI\FieldType\GatewayBasedStorage
| __construct (StorageGateway $gateway)
| copyLegacyField (VersionInfo $versionInfo, Field $field, Field $originalField, array $context)
| This method is used exclusively by Legacy Storage to copy external data of existing field in main language to the untranslatable field not passed in create or update struct, but created implicitly in storage layer. More...

## Protected Attributes
| $gateway
Protected Attributes inherited from eZ\Publish\SPI\FieldType\GatewayBasedStorage
| $gateway

## Detailed Description

Storage for the MapLocation field type.

Definition at line 16 of file MapLocationStorage.php.

## Member Function Documentation

## ◆ deleteFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage::deleteFieldData | ( | VersionInfo | $versionInfo,
|  | array | $fieldIds,
|  | array | $context
| ) |  |

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  array | $fieldIds |
  array | $context |

Returns
  bool

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 56 of file MapLocationStorage.php.

## ◆ getFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage::getFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field,
|  | array | $context
| ) |  |

Populates $field value property based on the external data.

$field->value is a eZ\Publish\SPI\Persistence\Content\FieldValue object. This value holds the data as a eZ\Publish\Core\FieldType\Value based object, according to the field type (e.g. for TextLine, it will be a eZ\Publish\Core\FieldType\TextLine\Value object).

Parameters

  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  array | $context |

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 44 of file MapLocationStorage.php.

## ◆ getIndexData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage::getIndexData | ( | VersionInfo | $versionInfo,
|  | Field | $field,
|  | array | $context
| ) |  |

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  array | $context |

Returns
  \eZ\Publish\SPI\Search\Field[]|null

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 78 of file MapLocationStorage.php.

## ◆ hasFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage::hasFieldData | ( |  | ) |

Checks if field type has external data to deal with.

Returns
  bool

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 66 of file MapLocationStorage.php.

## ◆ storeFieldData()

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage::storeFieldData | ( | VersionInfo | $versionInfo,
|  | Field | $field,
|  | array | $context
| ) |  |

See also
  \eZ\Publish\SPI\FieldType\FieldStorage

Parameters

  \eZ\Publish\SPI\Persistence\Content\VersionInfo | $versionInfo |
  \eZ\Publish\SPI\Persistence\Content\Field | $field |
  array | $context |

Returns
  mixed

Implements eZ\Publish\SPI\FieldType\FieldStorage.

Definition at line 30 of file MapLocationStorage.php.

## Member Data Documentation

## ◆ $gateway

eZ\Publish\Core\FieldType\MapLocation\MapLocationStorage::$gateway
| protected

Definition at line 19 of file MapLocationStorage.php.

The documentation for this class was generated from the following file:

- MapLocationStorage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.